
<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body >
	
	
	
	
<?php 
include ("../conexion.php");

echo $codfacturatmp=$_GET["codfacturatmp"];
$descuento=$_GET["destot"];
$cliexe=$_GET["cliexento"];
$codfacturatmp = intval($codfacturatmp);

	$preivi2=0;
	$baseimp=0;
	$baseiva=0;
	$basedescuento=0;
	

$sel_lineas="SELECT consignacion_lineastmp.*,web_1001.* FROM consignacion_lineastmp,web_1001 WHERE consignacion_lineastmp.codconsignacion='$codfacturatmp' AND consignacion_lineastmp.codigo=web_1001.cdgbar ORDER BY consignacion_lineastmp.numlinea ASC";
   if ($resultado = $mysqli->query($sel_lineas)) 
   
	
    while ($fila = $resultado->fetch_assoc()) {
		
        $numlinea = $fila["numlinea"];
        $cdgbar  = $fila["codigo"];
        $dscart   = $fila["dscart"];
		$cantidad = $fila["cantidad"];
		$preivi   = $fila["preivi"];
		$importe  = $fila["importe"];
		$impuesto = $fila["impuesto"];
		$tipart   = $fila["tipart"];
		$cob_iv   = $fila["COB_IV"];
		$ivporc   = $fila["ivporc"];


	if ($cob_iv == 1) { $paga_impuesto="S"; } else { $paga_impuesto="N"; }

	
	$importe=$cantidad*$preivi;
	$mondes=$importe*$descuento/100;
	$subtotal=($cantidad*$preivi)+$mondes;
	
	if ($cliexe == 1 ){
		 
		 	if ($cob_iv == 1 ){
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*($ivporc/100)+1;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	
	$impuesto=0;
			}
	
	} else {
		
		$impuesto=0;	
	}
	
	
	$preivi2=$importe+$impuesto;
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;
		
	$sel_act="UPDATE  consignacion_lineastmp SET    dcto='$descuento' ,  importe='$subtotal',mondes='$mondes', impuesto='$impuesto' WHERE codconsignacion='$codfacturatmp' and codigo='$cdgbar' ";
$mysqli->query($sel_act);		
	



}


?>

					<script languaje="javascript">
				parent.document.getElementById("formulario_lineas").submit();	
		</script>


	</body>
</html>